SERIAL8250_GET_PORT(9)

NAME
serial8250_get_port - retrieve struct uart_8250_port

SYNOPSIS

struct uart_8250_port * serial8250_get_port(int line);

ARGUMENTS

line
    serial line number

DESCRIPTION

This function retrieves struct uart_8250_port for the specific line. This struct *must* *not* be used to perform a 8250 or serial core operation which is not accessible otherwise. Its only purpose is to make the struct accessible to the runtime-pm callbacks for context suspend/restore. The lock assumption made here is none because runtime-pm suspend/resume callbacks should not be invoked if there is any operation performed on the port.

COPYRIGHT